org.jboss.jca.embedded.dsl.ironjacamar12.api

## Interface ConnectionDefinitionType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface ConnectionDefinitionType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `connection-definitionType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConnectionDefinitionType<T>` | `className(java.lang.String className)` Sets the `class-name` attribute
    `ConnectionDefinitionType<T>` | `connectable(java.lang.Boolean connectable)` Sets the `connectable` attribute
    `ConfigPropertyType<ConnectionDefinitionType<T>>` | `createConfigProperty()` Creates a new `config-property` element
    `ConnectionDefinitionType<T>` | `enabled(java.lang.Boolean enabled)` Sets the `enabled` attribute
    `ConnectionDefinitionType<T>` | `enlistment(java.lang.Boolean enlistment)` Sets the `enlistment` attribute
    `java.util.List<ConfigPropertyType<ConnectionDefinitionType<T>>>` | `getAllConfigProperty()` Returns all `config-property` elements
    `java.lang.String` | `getClassName()` Returns the `class-name` attribute
    `java.lang.String` | `getJndiName()` Returns the `jndi-name` attribute
    `ConfigPropertyType<ConnectionDefinitionType<T>>` | `getOrCreateConfigProperty()` If not already created, a new `config-property` element will be created and returned.
    `PoolType<ConnectionDefinitionType<T>>` | `getOrCreatePool()` If not already created, a new `pool` element with the given value will be created.
    `RecoverType<ConnectionDefinitionType<T>>` | `getOrCreateRecovery()` If not already created, a new `recovery` element with the given value will be created.
    `SecurityType<ConnectionDefinitionType<T>>` | `getOrCreateSecurity()` If not already created, a new `security` element with the given value will be created.
    `TimeoutType<ConnectionDefinitionType<T>>` | `getOrCreateTimeout()` If not already created, a new `timeout` element with the given value will be created.
    `ValidationType<ConnectionDefinitionType<T>>` | `getOrCreateValidation()` If not already created, a new `validation` element with the given value will be created.
    `XaPoolType<ConnectionDefinitionType<T>>` | `getOrCreateXaPool()` If not already created, a new `xa-pool` element with the given value will be created.
    `java.lang.String` | `getPoolName()` Returns the `pool-name` attribute
    `java.lang.Boolean` | `isConnectable()` Returns the `connectable` attribute
    `java.lang.Boolean` | `isEnabled()` Returns the `enabled` attribute
    `java.lang.Boolean` | `isEnlistment()` Returns the `enlistment` attribute
    `java.lang.Boolean` | `isSharable()` Returns the `sharable` attribute
    `java.lang.Boolean` | `isTracking()` Returns the `tracking` attribute
    `java.lang.Boolean` | `isUseCcm()` Returns the `use-ccm` attribute
    `java.lang.Boolean` | `isUseJavaContext()` Returns the `use-java-context` attribute
    `ConnectionDefinitionType<T>` | `jndiName(java.lang.String jndiName)` Sets the `jndi-name` attribute
    `ConnectionDefinitionType<T>` | `poolName(java.lang.String poolName)` Sets the `pool-name` attribute
    `ConnectionDefinitionType<T>` | `removeAllConfigProperty()` Removes all `config-property` elements
    `ConnectionDefinitionType<T>` | `removeClassName()` Removes the `class-name` attribute
    `ConnectionDefinitionType<T>` | `removeConnectable()` Removes the `connectable` attribute
    `ConnectionDefinitionType<T>` | `removeEnabled()` Removes the `enabled` attribute
    `ConnectionDefinitionType<T>` | `removeEnlistment()` Removes the `enlistment` attribute
    `ConnectionDefinitionType<T>` | `removeJndiName()` Removes the `jndi-name` attribute
    `ConnectionDefinitionType<T>` | `removePool()` Removes the `pool` element
    `ConnectionDefinitionType<T>` | `removePoolName()` Removes the `pool-name` attribute
    `ConnectionDefinitionType<T>` | `removeRecovery()` Removes the `recovery` element
    `ConnectionDefinitionType<T>` | `removeSecurity()` Removes the `security` element
    `ConnectionDefinitionType<T>` | `removeSharable()` Removes the `sharable` attribute
    `ConnectionDefinitionType<T>` | `removeTimeout()` Removes the `timeout` element
    `ConnectionDefinitionType<T>` | `removeTracking()` Removes the `tracking` attribute
    `ConnectionDefinitionType<T>` | `removeUseCcm()` Removes the `use-ccm` attribute
    `ConnectionDefinitionType<T>` | `removeUseJavaContext()` Removes the `use-java-context` attribute
    `ConnectionDefinitionType<T>` | `removeValidation()` Removes the `validation` element
    `ConnectionDefinitionType<T>` | `removeXaPool()` Removes the `xa-pool` element
    `ConnectionDefinitionType<T>` | `sharable(java.lang.Boolean sharable)` Sets the `sharable` attribute
    `ConnectionDefinitionType<T>` | `tracking(java.lang.Boolean tracking)` Sets the `tracking` attribute
    `ConnectionDefinitionType<T>` | `useCcm(java.lang.Boolean useCcm)` Sets the `use-ccm` attribute
    `ConnectionDefinitionType<T>` | `useJavaContext(java.lang.Boolean useJavaContext)` Sets the `use-java-context` attribute

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### className

          ConnectionDefinitionType<T> className(java.lang.String className)

      Sets the `class-name` attribute
      Parameters:
        `className` - the value for the attribute `class-name`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getClassName

          java.lang.String getClassName()

      Returns the `class-name` attribute
      Returns:
        the value defined for the attribute `class-name`

    - #### removeClassName

          ConnectionDefinitionType<T> removeClassName()

      Removes the `class-name` attribute
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### jndiName

          ConnectionDefinitionType<T> jndiName(java.lang.String jndiName)

      Sets the `jndi-name` attribute
      Parameters:
        `jndiName` - the value for the attribute `jndi-name`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getJndiName

          java.lang.String getJndiName()

      Returns the `jndi-name` attribute
      Returns:
        the value defined for the attribute `jndi-name`

    - #### removeJndiName

          ConnectionDefinitionType<T> removeJndiName()

      Removes the `jndi-name` attribute
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### enabled

          ConnectionDefinitionType<T> enabled(java.lang.Boolean enabled)

      Sets the `enabled` attribute
      Parameters:
        `enabled` - the value for the attribute `enabled`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### isEnabled

          java.lang.Boolean isEnabled()

      Returns the `enabled` attribute
      Returns:
        the value defined for the attribute `enabled`

    - #### removeEnabled

          ConnectionDefinitionType<T> removeEnabled()

      Removes the `enabled` attribute
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### useJavaContext

          ConnectionDefinitionType<T> useJavaContext(java.lang.Boolean useJavaContext)

      Sets the `use-java-context` attribute
      Parameters:
        `useJavaContext` - the value for the attribute `use-java-context`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### isUseJavaContext

          java.lang.Boolean isUseJavaContext()

      Returns the `use-java-context` attribute
      Returns:
        the value defined for the attribute `use-java-context`

    - #### removeUseJavaContext

          ConnectionDefinitionType<T> removeUseJavaContext()

      Removes the `use-java-context` attribute
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### poolName

          ConnectionDefinitionType<T> poolName(java.lang.String poolName)

      Sets the `pool-name` attribute
      Parameters:
        `poolName` - the value for the attribute `pool-name`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getPoolName

          java.lang.String getPoolName()

      Returns the `pool-name` attribute
      Returns:
        the value defined for the attribute `pool-name`

    - #### removePoolName

          ConnectionDefinitionType<T> removePoolName()

      Removes the `pool-name` attribute
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getOrCreateConfigProperty

          ConfigPropertyType<ConnectionDefinitionType<T>> getOrCreateConfigProperty()

      If not already created, a new `config-property` element will be created and returned. Otherwise, the first existing `config-property` element will be returned.
      Returns:
        the instance defined for the element `config-property`

    - #### createConfigProperty

          ConfigPropertyType<ConnectionDefinitionType<T>> createConfigProperty()

      Creates a new `config-property` element
      Returns:
        the new created instance of `ConfigPropertyType>`

    - #### getAllConfigProperty

          java.util.List<ConfigPropertyType<ConnectionDefinitionType<T>>> getAllConfigProperty()

      Returns all `config-property` elements
      Returns:
        list of `config-property`

    - #### removeAllConfigProperty

          ConnectionDefinitionType<T> removeAllConfigProperty()

      Removes all `config-property` elements
      Returns:
        the current instance of `ConfigPropertyType>`

    - #### getOrCreatePool

          PoolType<ConnectionDefinitionType<T>> getOrCreatePool()

      If not already created, a new `pool` element with the given value will be created. Otherwise, the existing `pool` element will be returned.
      Returns:
        a new or existing instance of `PoolType>`

    - #### removePool

          ConnectionDefinitionType<T> removePool()

      Removes the `pool` element
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getOrCreateXaPool

          XaPoolType<ConnectionDefinitionType<T>> getOrCreateXaPool()

      If not already created, a new `xa-pool` element with the given value will be created. Otherwise, the existing `xa-pool` element will be returned.
      Returns:
        a new or existing instance of `XaPoolType>`

    - #### removeXaPool

          ConnectionDefinitionType<T> removeXaPool()

      Removes the `xa-pool` element
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getOrCreateSecurity

          SecurityType<ConnectionDefinitionType<T>> getOrCreateSecurity()

      If not already created, a new `security` element with the given value will be created. Otherwise, the existing `security` element will be returned.
      Returns:
        a new or existing instance of `SecurityType>`

    - #### removeSecurity

          ConnectionDefinitionType<T> removeSecurity()

      Removes the `security` element
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getOrCreateTimeout

          TimeoutType<ConnectionDefinitionType<T>> getOrCreateTimeout()

      If not already created, a new `timeout` element with the given value will be created. Otherwise, the existing `timeout` element will be returned.
      Returns:
        a new or existing instance of `TimeoutType>`

    - #### removeTimeout

          ConnectionDefinitionType<T> removeTimeout()

      Removes the `timeout` element
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getOrCreateValidation

          ValidationType<ConnectionDefinitionType<T>> getOrCreateValidation()

      If not already created, a new `validation` element with the given value will be created. Otherwise, the existing `validation` element will be returned.
      Returns:
        a new or existing instance of `ValidationType>`

    - #### removeValidation

          ConnectionDefinitionType<T> removeValidation()

      Removes the `validation` element
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### getOrCreateRecovery

          RecoverType<ConnectionDefinitionType<T>> getOrCreateRecovery()

      If not already created, a new `recovery` element with the given value will be created. Otherwise, the existing `recovery` element will be returned.
      Returns:
        a new or existing instance of `RecoverType>`

    - #### removeRecovery

          ConnectionDefinitionType<T> removeRecovery()

      Removes the `recovery` element
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### useCcm

          ConnectionDefinitionType<T> useCcm(java.lang.Boolean useCcm)

      Sets the `use-ccm` attribute
      Parameters:
        `useCcm` - the value for the attribute `use-ccm`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### isUseCcm

          java.lang.Boolean isUseCcm()

      Returns the `use-ccm` attribute
      Returns:
        the value defined for the attribute `use-ccm`

    - #### removeUseCcm

          ConnectionDefinitionType<T> removeUseCcm()

      Removes the `use-ccm` attribute
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### sharable

          ConnectionDefinitionType<T> sharable(java.lang.Boolean sharable)

      Sets the `sharable` attribute
      Parameters:
        `sharable` - the value for the attribute `sharable`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### isSharable

          java.lang.Boolean isSharable()

      Returns the `sharable` attribute
      Returns:
        the value defined for the attribute `sharable`

    - #### removeSharable

          ConnectionDefinitionType<T> removeSharable()

      Removes the `sharable` attribute
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### enlistment

          ConnectionDefinitionType<T> enlistment(java.lang.Boolean enlistment)

      Sets the `enlistment` attribute
      Parameters:
        `enlistment` - the value for the attribute `enlistment`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### isEnlistment

          java.lang.Boolean isEnlistment()

      Returns the `enlistment` attribute
      Returns:
        the value defined for the attribute `enlistment`

    - #### removeEnlistment

          ConnectionDefinitionType<T> removeEnlistment()

      Removes the `enlistment` attribute
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### connectable

          ConnectionDefinitionType<T> connectable(java.lang.Boolean connectable)

      Sets the `connectable` attribute
      Parameters:
        `connectable` - the value for the attribute `connectable`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### isConnectable

          java.lang.Boolean isConnectable()

      Returns the `connectable` attribute
      Returns:
        the value defined for the attribute `connectable`

    - #### removeConnectable

          ConnectionDefinitionType<T> removeConnectable()

      Removes the `connectable` attribute
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### tracking

          ConnectionDefinitionType<T> tracking(java.lang.Boolean tracking)

      Sets the `tracking` attribute
      Parameters:
        `tracking` - the value for the attribute `tracking`
      Returns:
        the current instance of `ConnectionDefinitionType`

    - #### isTracking

          java.lang.Boolean isTracking()

      Returns the `tracking` attribute
      Returns:
        the value defined for the attribute `tracking`

    - #### removeTracking

          ConnectionDefinitionType<T> removeTracking()

      Removes the `tracking` attribute
      Returns:
        the current instance of `ConnectionDefinitionType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)